View Issue Details

IDProjectCategoryView StatusLast Update
00034633 - Current Dev ListBugpublic2019-10-23 07:57
ReporterWA9PIEAssigned ToWA9PIE 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.235 
Summary0003463: "Logfile" button in call sign lookup testing page is always disabled
DescriptionPrior to 0003001, the "logfile" button in the callsign lookup testing worked. After the changes we've made for 0003001, the "logfile" button no longer functioned.

This issue is to request that the function be returned to working order.
Steps To Reproduce- Launch Logbook
- Go to Tools > Configure > Callsign Lookup
- in the Enable tab, have any of the online lookups enabled (say, QRZ.com XML Subscription)
- select the Test tab
- enter a callsign and perform a lookup

The "Logfile" button is grey'd out (disabled).
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

child of 0003001 assignedWA9PIE Callsign lookup function does not appear to be working as designed 

Activities

WA9PIE

2019-09-27 21:43

administrator   ~0008715

I can't test all the lookup methods if the logfile button doesn't work. I can't otherwise see the contents returned by the lookup.

K7ZCZ

2019-09-27 22:30

administrator   ~0008716

The results of the lookup appear in the list view control.

Each step the lookup operation is also logged to the application's "Logfile" view. In the Logfile view toolbar, make sure the "Debug" button is marked.

K7ZCZ

2019-09-28 17:32

administrator   ~0008718

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5172

Now there are three ways to see the results of a call sign lookup test.

WA9PIE

2019-10-07 06:03

administrator   ~0008762

The previous logfile function actually showed the user the responses from all lookup sources (including the XML data from services like QRZ, etc). That was a very useful function and it's a shame to lose it. Can it be added back?

g3ucq

2019-10-23 04:19

updater   ~0008940

Fixed

PD9FER

2019-10-23 04:25

updater   ~0008944

Validated

WA9PIE

2019-10-23 07:57

administrator   ~0008968

Validated.

Issue History

Date Modified Username Field Change
2019-09-25 22:49 WA9PIE New Issue
2019-09-25 22:49 WA9PIE Relationship added child of 0003001
2019-09-25 22:59 K7ZCZ Summary Callsign lookup function does not appear to be working as designed #3 => "Logfile" button in call sign lookup testing page is always disabled
2019-09-26 12:53 WA9PIE Assigned To => K7ZCZ
2019-09-26 12:53 WA9PIE Status new => assigned
2019-09-27 21:43 WA9PIE Note Added: 0008715
2019-09-27 22:30 K7ZCZ Note Added: 0008716
2019-09-28 17:32 K7ZCZ Assigned To K7ZCZ => WA9PIE
2019-09-28 17:32 K7ZCZ Status assigned => resolved
2019-09-28 17:32 K7ZCZ Resolution open => fixed
2019-09-28 17:32 K7ZCZ Note Added: 0008718
2019-10-07 06:03 WA9PIE Note Added: 0008762
2019-10-07 06:03 WA9PIE Assigned To WA9PIE => K7ZCZ
2019-10-21 17:01 K7ZCZ Fixed in Version => 6.7.0.235
2019-10-23 04:19 g3ucq Note Added: 0008940
2019-10-23 04:25 PD9FER Note Added: 0008944
2019-10-23 07:57 WA9PIE Assigned To K7ZCZ => WA9PIE
2019-10-23 07:57 WA9PIE Status resolved => closed
2019-10-23 07:57 WA9PIE Testing Not Started => Beta Successful
2019-10-23 07:57 WA9PIE Note Added: 0008968